# std::to_wstring

From cppreference.com
< cpp‎ | string‎ | basic string

Defined in header `<string>` |  |
std::wstring to_wstring( int value ); | (1) | (since C++11)
std::wstring to_wstring( long value ); | (2) | (since C++11)
std::wstring to_wstring( long long value ); | (3) | (since C++11)
std::wstring to_wstring( unsigned value ); | (4) | (since C++11)
std::wstring to_wstring( unsigned long value ); | (5) | (since C++11)
std::wstring to_wstring( unsigned long long value ); | (6) | (since C++11)
std::wstring to_wstring( float value ); | (7) | (since C++11)
std::wstring to_wstring( double value ); | (8) | (since C++11)
std::wstring to_wstring( long double value ); | (9) | (since C++11)

Converts a numeric value to std::wstring.

1) Converts a signed decimal integer to a wide string with the same content as what std::swprintf (buf, sz, L"%d", value) would produce for sufficiently large `buf`.
2) Converts a signed decimal integer to a wide string with the same content as what std::swprintf (buf, sz, L"%ld", value) would produce for sufficiently large `buf`..
3) Converts a signed decimal integer to a wide string with the same content as what std::swprintf (buf, sz, L"%lld", value) would produce for sufficiently large `buf`.
4) Converts an unsigned decimal integer to a wide string with the same content as what std::swprintf (buf, sz, L"%u", value) would produce for sufficiently large `buf`.
5) Converts an unsigned decimal integer to a wide string with the same content as what std::swprintf (buf, sz, L"%lu", value) would produce for sufficiently large `buf`.
6) Converts an unsigned decimal integer to a wide string with the same content as what std::swprintf (buf, sz, L"%llu", value) would produce for sufficiently large `buf`.
7,8) Converts a floating point value to a wide string with the same content as what std::swprintf (buf, sz, L"%f", value) would produce for sufficiently large `buf`.
9) Converts a floating point value to a wide string with the same content as what std::swprintf (buf, sz, L"%Lf", value) would produce for sufficiently large `buf`.

### Parameters

value | - | a numeric value to convert

### Return value

a wide string holding the converted value

### Exceptions

May throw std::bad_alloc from the std::wstring constructor.

### Example

Run this code

    #include <string>
    #include <iostream>

    int main() {
        double f = 23.43;
        std::wstring f_str = std::to_wstring(f);
        std::wcout << f_str;
    }

Output:

    23.430000

### See also

to_string (C++11) | converts an integral or floating point value to `string` (function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/string/basic_string/to_wstring&oldid=110788"